POST api/scheduler/tasks/products/sellout

Request Information

URI Parameters

NameDescriptionTypeAdditional information
token

Токен авторизации

string

Required

Body Parameters

AddProductToSellOutTaskRequest
NameDescriptionTypeAdditional information
task_id

globally unique identifier

None.

products

Collection of ProductSellOut

None.

Request Formats

application/json, text/json

Sample:
{
  "task_id": "a141e5b4-82a7-4578-af2c-08f0c22c510c",
  "products": [
    {
      "product_id": 1,
      "type": "sample string 2",
      "Type": 1,
      "value": 0.0,
      "ValueJson": "sample string 4",
      "new_price": "1",
      "TotalPrice": 1.0,
      "old_price": "7",
      "OldPrice": 7.0
    },
    {
      "product_id": 1,
      "type": "sample string 2",
      "Type": 1,
      "value": 0.0,
      "ValueJson": "sample string 4",
      "new_price": "1",
      "TotalPrice": 1.0,
      "old_price": "7",
      "OldPrice": 7.0
    }
  ]
}

application/x-www-form-urlencoded

Sample:

Sample not available.

application/xml, text/xml

Sample:
<AddProductToSellOutTaskRequest>
  <TaskId>a141e5b4-82a7-4578-af2c-08f0c22c510c</TaskId>
  <Products>
    <ProductSellOut>
      <ProductId>1</ProductId>
      <TypeJson>sample string 2</TypeJson>
      <Value>0</Value>
      <ValueJson>sample string 4</ValueJson>
      <TotalPriceJson>1</TotalPriceJson>
      <TotalPrice>1</TotalPrice>
      <OldPriceJson>7</OldPriceJson>
      <OldPrice>7</OldPrice>
    </ProductSellOut>
    <ProductSellOut>
      <ProductId>1</ProductId>
      <TypeJson>sample string 2</TypeJson>
      <Value>0</Value>
      <ValueJson>sample string 4</ValueJson>
      <TotalPriceJson>1</TotalPriceJson>
      <TotalPrice>1</TotalPrice>
      <OldPriceJson>7</OldPriceJson>
      <OldPrice>7</OldPrice>
    </ProductSellOut>
  </Products>
</AddProductToSellOutTaskRequest>

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.